Bug 1507812 - [RFE] Expose the Pause/Resume Provider via API [NEEDINFO]
Summary: [RFE] Expose the Pause/Resume Provider via API
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 5.10.0
Assignee: Gregg Tanzillo
QA Contact: juwatts
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-31 08:38 UTC by Pavel Zagalsky
Modified: 2019-02-07 23:00 UTC (History)
6 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:00:36 UTC
Category: ---
Cloudforms Team: Container Management
Target Upstream Version:
dajohnso: needinfo? (pzagalsk)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:00:47 UTC

Description Pavel Zagalsky 2017-10-31 08:38:09 UTC
Description of problem:
Following the implementation of this BZ: https://bugzilla.redhat.com/show_bug.cgi?id=1464924
There should be an option to Pause/Resume providers via the API as well with same functionality

Comment 2 Dave Johnson 2017-10-31 08:44:20 UTC
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set the severity to Low.

Comment 5 CFME Bot 2018-03-01 18:36:11 UTC
New commit detected on ManageIQ/manageiq-api/master:
https://github.com/ManageIQ/manageiq-api/commit/5976b3959038985e7f7ad19fb51228cd62a398bb

commit 5976b3959038985e7f7ad19fb51228cd62a398bb
Author:     Jillian Tullo <jtullo@redhat.com>
AuthorDate: Thu Mar 1 10:16:04 2018 -0500
Commit:     Jillian Tullo <jtullo@redhat.com>
CommitDate: Thu Mar 1 10:16:04 2018 -0500

    Add resume action to Providers
    
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1507812

 app/controllers/api/providers_controller.rb |  8 +++++
 config/api.yml                              |  4 +++
 spec/requests/providers_spec.rb             | 52 +++++++++++++++++++++++++++--
 3 files changed, 62 insertions(+), 2 deletions(-)

Comment 7 juwatts 2018-09-18 18:29:22 UTC
CFME Build: 5.10.0.15.20180914163601_fb02d7e

Successfully enabled and resumed a single provider via the API

Successfully enabled and resumed multiple providers at the same time via the API. 

Verified the  `enabled` attribute on the provider instance (ext_management_systems table) was set correctly on a pause and a resume.

Comment 8 errata-xmlrpc 2019-02-07 23:00:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.